
From: Benno <benjl@cse.unsw.edu.au>

When compiling Linux on Mac OSX I had trouble with scripts/sumversion.c. 
It includes <netinet/in.h> to obtain to definitions of htonl and ntohl.

On Mac OSX these are found in <arpa/inet.h>.  After checking the POSIX
specification it appears that this is the correct place to get the
definitons for these functions.

(http://www.opengroup.org/onlinepubs/009695399/functions/htonl.html)

Using this header also appears to work on Linux (at least with
Glibc-2.3.2).

It seems clearer to me to go with the POSIX standard than implementing
#if __APPLE__ style macros, but if such an approach is preferred I can
supply patches for that instead.

A patch against 2.6.7 which change <netinet/in.h> -> <arpa/inet.h> is
attached.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/mod/sumversion.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/mod/sumversion.c~use-posix-headers-in-sumversionc scripts/mod/sumversion.c
--- 25/scripts/mod/sumversion.c~use-posix-headers-in-sumversionc	2004-08-15 12:46:07.711626696 -0700
+++ 25-akpm/scripts/mod/sumversion.c	2004-08-15 12:46:07.715626088 -0700
@@ -1,4 +1,4 @@
-#include <arpa/inet.h>
+#include <netinet/in.h>
 #include <stdint.h>
 #include <ctype.h>
 #include <errno.h>
_
